lkml.org 
[lkml]   [2018]   [Aug]   [7]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
SubjectRe: [PATCH] Use Kconfig flag to remove support of deprecated BE2/BE3 adapters
From
Date
On 6.8.2018 18:21, Christoph Hellwig wrote:
> On Mon, Aug 06, 2018 at 02:12:28PM +0200, Petr Oros wrote:
>> Add flags to remove support of deprecated BE2/BE3 adapters.
>> BE2 disable will reduce .ko size by 2kb and BE3 by 3kb.
>> Disable both will reduce .ko size by 9kb.
>>
>> With dissabled support is also removed coresponding PCI IDs
>> and codepath with [BE2|BE3|BEx]_chip checks.
>
> deprecated seems like a really odd world for hardware.
>
> Are they just old? Did they never ship in large numbers?
>
> If you just make some cards optional why not also add options
> for families of newer cards for those who only have the older ones
> in their systems?
>
This also makes sense.

I.

\
 
 \ /
  Last update: 2018-08-07 13:36    [W:0.083 / U:2.768 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site